EDIT - bug #8234

Move description elements issues
04/10/2019 09:03 AM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

Related issues:
Related to EDIT - feature request #7865: Remaining factual data view label is... Resolved

Associated revisions

Revision 2e789748 - 04/10/2019 09:14 AM - Patrick Plitzner

ref #8234 Remove description element when moving it

Revision dc4dc742 - 04/10/2019 10:25 AM - Katja Luther

fix #8234: moveDescriptionOperation should be executed while saving

Revision 3ce70d3c - 04/10/2019 11:13 AM - Katja Luther
ref #8234:avoid NPE

Revision fc3c16d6 - 04/10/2019 11:25 AM - Katja Luther

ref #8234: update editor after removing description element

Revision 6b6f0d91 - 04/15/2019 03:53 PM - Patrick Plitzner

ref #8234 Remove description element when moving it

History

#1 - 04/10/2019 09:03 AM - Patrick Plitzner

- Related to feature request #7865: Remaining factual data view label issues added

#2 - 04/10/2019 09:07 AM - Patrick Plitzner

- Description updated

#3 - 04/10/2019 09:15 AM - Patrick Plitzner
- Description updated
- Target version changed from Release 5.6 to Unassigned CDM tickets

- % Done changed from 0 to 30

Moving to unassigned milestone because the critical issue (not removing the description element when moving it to another taxon) is solved. @Katja:
Can you please review the fix for 2.

#4 - 04/10/2019 10:25 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 30 to 50
Applied in changeset taxeditor|dc4dc742793t5823f61decb5411f46e9b7a66a05.

#5 - 04/10/2019 11:37 AM - Katja Luther

- Description updated

- Assignee changed from Katja Luther to Patrick Plitzner

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.6

- % Done changed from 50 to 30

moving descriptions is solved, too.

| reviewed the 2. task and added the removing of the description elements in editor before saving.

please review the first task.

#6 - 04/10/2019 12:12 PM - Patrick Plitzner
- % Done changed from 30 to 80

works fine.

waiting for the nightly build to test there again

#7 - 04/10/2019 01:35 PM - Patrick Plitzner
- Status changed from Resolved to Closed
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 80 to 100

tested on nightly. Works as expected
